Subject: Re: [Opinion gathering] Git remote whitelist/blacklist

From: Matthieu Moy <[email-masked]>
Date: Tue, 24 May 2016 14:55:50 +0200

Lars Schneider <[email-masked]> writes:

> To answer your question,
> I would reject the push (because the remote is in the denied list) and
> print a warning to point out the conflicting configs to the user.

So, when trying a forbidden push, Git would deny it and the only way to
force the push would be to remove the blacklist from the config, right?

Probably the sanest way to go. I thought about adding a "git push
--force-even-if-in-blacklist" or so, but I don't think the feature
deserves one specific option (hence add some noise in `git push -h`).

-- 
Matthieu Moy
http://www-verimag.imag.fr/~moy/